|
|||||||||
| Home >> All >> jreceiver >> common >> rpc >> [ xmlrpc overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
jreceiver.common.rpc.xmlrpc
Class XmlRpcServlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
jreceiver.common.rpc.xmlrpc.XmlRpcServlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class XmlRpcServlet
- extends javax.servlet.http.HttpServlet
Provide XML-RPC Services in a servlet container
- Version:
- $Revision: 1.4 $ $Date: 2003/04/27 23:14:32 $
| Nested Class Summary | |
static class |
XmlRpcServlet.Handler
|
| Field Summary | |
(package private) static java.lang.String |
DEFAULT_SAX2_DRIVER
|
(package private) static java.lang.String |
HANDLER
|
(package private) static java.lang.String |
LIST
|
protected static org.apache.commons.logging.Log |
log
logging object |
private org.apache.xmlrpc.XmlRpcServer |
xmlrpc_server
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
XmlRpcServlet()
|
|
| Method Summary | |
(package private) void |
addHandlers(java.util.List handlers)
loads each handler specified in the list |
protected void |
doGet(javax.servlet.http.HttpServletRequest req,
javax.servlet.http.HttpServletResponse resp)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
doPost(javax.servlet.http.HttpServletRequest req,
javax.servlet.http.HttpServletResponse res)
Called by the server (via the service method)
to allow a servlet to handle a POST request. |
(package private) java.util.List |
getHandlerList(java.lang.String sax_driver,
java.lang.String filename)
Digest an XML list of handlers via SAX |
void |
init()
A convenience method which can be overridden so that there's no need to call super.init(config). |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
DEFAULT_SAX2_DRIVER
static final java.lang.String DEFAULT_SAX2_DRIVER
- See Also:
- Constant Field Values
LIST
static final java.lang.String LIST
- See Also:
- Constant Field Values
HANDLER
static final java.lang.String HANDLER
- See Also:
- Constant Field Values
xmlrpc_server
private org.apache.xmlrpc.XmlRpcServer xmlrpc_server
log
protected static org.apache.commons.logging.Log log
- logging object
| Constructor Detail |
XmlRpcServlet
public XmlRpcServlet()
| Method Detail |
init
public void init()
throws javax.servlet.ServletException
- Description copied from class:
javax.servlet.GenericServlet - A convenience method which can be overridden so that there's no need
to call
super.init(config).Instead of overriding GenericServlet.init(ServletConfig)>
GenericServlet.init(ServletConfig)55 , simply override this method and it will be called byGenericServlet.init(ServletConfig config). TheServletConfigobject can still be retrieved via GenericServlet.getServletConfig()>GenericServlet.getServletConfig()55 .
doPost
public void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a POST request. The HTTP POST method allows the client to send data of unlimited length to the Web server a single time and is useful when posting information such as credit card numbers.When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
This method does not need to be either safe or idempotent. Operations requested through POST can have side effects for which the user can be held accountable, for example, updating stored data or buying items online.
If the HTTP POST request is incorrectly formatted,
doPostreturns an HTTP "Bad Request" message.
doGet
protected void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
getHandlerList
java.util.List getHandlerList(java.lang.String sax_driver, java.lang.String filename) throws java.io.IOException, org.xml.sax.SAXException, javax.servlet.ServletException
- Digest an XML list of handlers via SAX
drivers jreceiver.common.rpc.xmlrpc.DriversHandler [etc...]players jreceiver.common.rpc.xmlrpc.PlayersHandler
addHandlers
void addHandlers(java.util.List handlers) throws java.lang.ClassNotFoundException, java.lang.InstantiationException, java.lang.IllegalAccessException
- loads each handler specified in the list
|
|||||||||
| Home >> All >> jreceiver >> common >> rpc >> [ xmlrpc overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC